using System;
using System.Collections.Generic;
using System.Text;

namespace ChuPiao.Common.Communication.GtdJson.Packs
{
    public class A10005UploadMachineSaleRet : PackRetBase
    {
        private int code;
        /// <summary>
        /// status>0 表示成功， 其它失败 message 失败原因
        /// </summary>
        public int Code
        {
            get { return code; }
            set { code = value; }
        }

        private string message;
        public string Message
        {
            get { return message; }
            set { message = value; }
        }

        public override void UnPackBody(Newtonsoft.Json.Linq.JToken body)
        {
            Message = body["message"].ToString();
            code = Convert.ToInt32(body["status"].ToString());
        }
    }
}
